Subject: [bug#74306] [PATCH gnome-team 00/44] gstreamer, GTK, fontmanager updates

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 12 Nov 2024 19:51:04 +0100

Am Dienstag, dem 12.11.2024 um 22:57 +0900 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Montag, dem 11.11.2024 um 14:50 +0900 schrieb Maxim Cournoyer:
> > > Hi,
> > > 
> > > Here's a batch of GNOME related updates.  I've updated packages
> > > that
> > > had test
> > > suite failures (sometimes non-deterministic) or were otherwise
> > > having
> > > problems to build and updated the gstreamer series.
> > > 
> > > I've included the meson update bump here, since a recent meson is
> > > increasingly needed by GNOME components and the parallel tests
> > > helps
> > > shorten builds too.
> > > 
> > > Maxim Cournoyer (44):
> > >   gnu: dee: Use latest vala.
> > What's the rationale here?
> 
> Getting closer to getting rid of the older vala variant we carry.
> 
> > >   gnu: gvfs: Patch mount, umount and lsof commands.
> > >   gnu: gnome-vfs: Remove trailing #t.
> > >   gnu: nautilus: Update to 46.1.
> > >   gnu: gstreamer: Update to 1.24.8.
> > >   gnu: gst-plugins-base: Update to 1.24.8.
> > >   gnu: gst-plugins-good: Update to 1.24.8.
> > >   gnu: gst-plugins-bad: Update to 1.24.8.
> > >   gnu: gst-plugins-ugly: Update to 1.24.8.
> > >   gnu: gst-libav: Update to 1.24.8.
> > >   gnu: gst-editing-services: Update to 1.24.8.
> > >   gnu: python-gst: Update to 1.24.8.
> > >   gnu: gst-plugins-espeak: Update to 0.6.0.
> > >   build/meson: Enable parallel tests by default.
> > >   gnu: meson: Update to 1.5.2.
> 
> > We currently have Meson 1.5 as an extra variable on gnome-team.  If
> > possible, I'd avoid cutting even deeper than we already do.
> 
> It's a question of time before it hits master; it's lined up for a
> topical upgrade in #73765, after the qt-team and lisp-team branches
> get merged (see: https://qa.guix.gnu.org/).
Yeah, it will probably hit master before gnome-team.  But imho the
question remains on what rebase strategy to go for so as to keep
rebuilds on gnome-team minimal while we're still experimenting.

> > >   gnu: glib: Fix build.
> > >   gnu: glib-minimal: Fix deprecation warning.
> > >   gnu: libmbim: Update to 1.30.0.
> > >   gnu: Add libqrtr-glib.
> > >   gnu: libqmi: Update to 1.34.0.
> > >   gnu: gi-docgen: Update to 2024.1.
> > >   gnu: glib-minimal: Update to 2.83.0.
> > >   gnu: glib-networking: Update to 2.80.0.
> > >   gnu: libsoup-minimal: Disable test suite.
> > >   gnu: modem-manager: Update to 1.22.0.
> > >   gnu: libquicktime: Remove ffmpeg-4 and gtk+-2 inputs.
> > >   gnu: mjpegtools: Remove gtk+-2 input.
> > >   gnu: libdbusmenu: Remove gtk+-2 input.
> > >   gnu: libnice: Update to 0.1.22.
> > >   gnu: gtk: Update to 4.17.0.
> > >   gnu: fontmanager: Update to 0.9.0.
> > >   gnu: fontmanager: Use gexps and drop input labels.
> > >   gnu: libvisual: Update to 0.4.2.
> > >   gnu: libvisual-plugins: Update to 0.4.2.
> > >   gnu: orc: Update to 0.4.40.
> > >   gnu: gstreamer-docs: Update to 1.24.9.
> > >   gnu: gstreamer: Update to 1.24.9.
> > >   gnu: gst-plugins-base: Update to 1.24.9.
> > >   gnu: gst-plugins-good: Update to 1.24.9.
> > >   gnu: gst-plugins-bad: Update to 1.24.9.
> > >   gnu: gst-plugins-ugly: Update to 1.24.9.
> > >   gnu: gst-libav: Update to 1.24.9.
> > >   gnu: gst-editing-services: Update to 1.24.9.
> > >   gnu: python-gst: Update to 1.24.9.
> > Can we squash the gstreamer things into one commit rather than two?
> 
> Do you mean gtreamer-docs and gstreamer?  These are two distinct
> packages, hence two distinct commits.
You are bumping once to 1.24.8, then 1.24.9.  I think this can be
reduced to one bump per package.

> > I also commented on some individual patches and will defer to CI
> > for the minor bumps I didn't comment on.
> 
> Thanks for taking a look!  One thing I'd like clarification on is
> whether 'bash-completion' is intended as an input or native-input. 
> I'm guessing the later but I'm not sure.
IMHO it should be neither.  It is only used to infer an install
directory that can be hard-coded instead.

I would still prefer keeping GLib/Gtk at 2.82 and 4.16 respectively. 
The first version mentioned in <https://www.gtk.org/> is the latest
stable, 4.16.5 – so we still got a bump ahead of us, just not one as
big.

Cheers